# Package org.apache.solr.client.solrj.beans

package org.apache.solr.client.solrj.beans
Annotation based mapping of client objects to Solr documents.

Related Packages
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.client.solrj.routing
Classes to handle query routing preferences
org.apache.solr.client.solrj.util
Utilities for Solr client applications.
Class
Description
BindingException
DocumentObjectBinder
Maps objects to and from Solr documents.
Field
This class can be used to annotate a field or a setter an any class and SolrJ would help you convert to SolrInputDocument and from SolrDocument